Bug 822227 - dkms needs to pass the -f option to dracut to overwrite the existing initramfs
dkms needs to pass the -f option to dracut to overwrite the existing initramfs
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dkms (Show other bugs)
19
Unspecified Linux
unspecified Severity high
: ---
: ---
Assigned To: Simone Caronni
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 965712
  Show dependency treegraph
 
Reported: 2012-05-16 13:39 EDT by Andrew J. Schorr
Modified: 2013-07-15 21:48 EDT (History)
5 users (show)

See Also:
Fixed In Version: dkms-2.2.0.3-8.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-15 21:04:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch /usr/sbin/dkms to invoke dracut properly. (547 bytes, application/octet-stream)
2012-05-16 13:39 EDT, Andrew J. Schorr
no flags Details

  None (edit)
Description Andrew J. Schorr 2012-05-16 13:39:36 EDT
Created attachment 585027 [details]
Patch /usr/sbin/dkms to invoke dracut properly.

Description of problem: When I attempt to update a kernel driver installed with dkms, it fails (dracut returns an error).  In /var/log/dracut.log, I see this:

D: Executing /sbin/dracut 3.3.5-2.fc16.x86_64
F: Will not override existing initramfs (/3.3.5-2.fc16.x86_64) without --force


Version-Release number of selected component (if applicable): dkms-2.2.0.3

How reproducible: Install a kernel driver that uses dkms.


Steps to Reproduce:
1. rpm -Uvh fubar-dkms.noarch.rpm
2.
3.
  
Actual results:     dracut....(bad exit status: 1)


Expected results: dracut should succeed.


Additional info:
Comment 1 JR 2013-01-16 11:22:17 EST
Has anyone submitted this upstream?  This bit me in RHEL6.3 recently with SolarFlare NIC drivers that rely on DKMS.
Comment 2 Fedora End Of Life 2013-04-03 13:43:26 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 3 Fedora Admin XMLRPC Client 2013-06-14 18:11:19 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora Update System 2013-06-20 07:22:48 EDT
dkms-2.2.0.3-7.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/dkms-2.2.0.3-7.fc19
Comment 5 Fedora Update System 2013-06-20 07:24:08 EDT
dkms-2.2.0.3-7.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/dkms-2.2.0.3-7.fc18
Comment 6 Fedora Update System 2013-06-20 07:25:56 EDT
dkms-2.2.0.3-7.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/dkms-2.2.0.3-7.fc17
Comment 7 Fedora Update System 2013-06-20 07:28:28 EDT
dkms-2.2.0.3-7.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/dkms-2.2.0.3-7.el6
Comment 8 Fedora Update System 2013-06-20 07:31:11 EDT
dkms-2.2.0.3-7.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/dkms-2.2.0.3-7.el5
Comment 9 Fedora Update System 2013-06-20 14:05:07 EDT
Package dkms-2.2.0.3-7.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dkms-2.2.0.3-7.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-11369/dkms-2.2.0.3-7.fc19
then log in and leave karma (feedback).
Comment 10 Fedora Update System 2013-06-26 03:22:06 EDT
dkms-2.2.0.3-8.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/dkms-2.2.0.3-8.fc19
Comment 11 Fedora Update System 2013-06-26 03:24:52 EDT
dkms-2.2.0.3-8.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/dkms-2.2.0.3-8.fc18
Comment 12 Fedora Update System 2013-06-26 03:29:52 EDT
dkms-2.2.0.3-8.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/dkms-2.2.0.3-8.fc17
Comment 13 Fedora Update System 2013-06-26 03:32:48 EDT
dkms-2.2.0.3-8.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/dkms-2.2.0.3-8.el6
Comment 14 Fedora Update System 2013-06-26 03:34:09 EDT
dkms-2.2.0.3-8.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/dkms-2.2.0.3-8.el5
Comment 15 Fedora Update System 2013-07-15 21:04:41 EDT
dkms-2.2.0.3-8.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2013-07-15 21:09:13 EDT
dkms-2.2.0.3-8.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2013-07-15 21:25:53 EDT
dkms-2.2.0.3-8.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2013-07-15 21:42:02 EDT
dkms-2.2.0.3-8.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2013-07-15 21:48:18 EDT
dkms-2.2.0.3-8.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.